./Dartagnan-SVCOMP.sh /mnt/goblint-svcomp/goblint-bench/bench/concrat/properties/no-data-race.prp /mnt/goblint-svcomp/goblint-bench/bench/concrat/race-challenges/per-thread-array-join-counter-race-3.i


--------------------------------------------------------------------------------


16:27:27 [INFO ] GitInfo.CreateGitInfo - Git branch: svcomp-2024
16:27:27 [INFO ] GitInfo.CreateGitInfo - Git commit ID: 17eeec33cbc9c310519b08551b317469f878ce8c
16:27:27 [INFO ] GlobalSettings.LogGlobalSettings - REFINEMENT_GENERATE_GRAPHVIZ_DEBUG_FILES: false
16:27:27 [INFO ] GlobalSettings.LogGlobalSettings - REFINEMENT_SYMMETRIC_LEARNING: FULL
16:27:27 [INFO ] Dartagnan.main - Program path: /mnt/goblint-svcomp/benchexec/tools-pldi24/dartagnan/output/per-thread-array-join-counter-race-3-opt.ll
16:27:27 [INFO ] Dartagnan.main - CAT file path: cat/svcomp.cat
16:27:27 [WARN ] VisitorLlvm.visitUndefConst - Encountered undef constant of type [4 x bv8]. Constant was replaced by zero.
16:27:27 [WARN ] VisitorLlvm.visitUndefConst - Encountered undef constant of type [4 x bv8]. Constant was replaced by zero.
16:27:27 [WARN ] VisitorLlvm.visitUndefConst - Encountered undef constant of type [4 x bv8]. Constant was replaced by zero.
16:27:27 [WARN ] VisitorLlvm.visitUndefConst - Encountered undef constant of type [4 x bv8]. Constant was replaced by zero.
16:27:27 [INFO ] Wmm.configureAll - encoding.wmm.reduceAcyclicityEncodeSets: true
16:27:28 [INFO ] LoopFormVerification.run - Detected 5 loops in the program.
16:27:28 [INFO ] Compilation.run - Program compiled to C11
16:27:28 [INFO ] LoopUnrolling.run - Program unrolled 1 times
16:27:28 [INFO ] DynamicPureLoopCutting.run - Found 0 static spin loops and 1 potential spin loops.
16:27:28 [INFO ] ThreadCreation.run - Number of threads (including main): 3
16:27:28 [ERROR] Dartagnan.main - Variable-sized alloc 'bv64 r9 <- heapalloc(bv8, bv32 r8)' is not supported
com.dat3m.dartagnan.exception.MalformedProgramException: Variable-sized alloc 'bv64 r9 <- heapalloc(bv8, bv32 r8)' is not supported
	at com.dat3m.dartagnan.program.processing.MemoryAllocation.getSize(MemoryAllocation.java:59) ~[dartagnan.jar:?]
	at com.dat3m.dartagnan.program.processing.MemoryAllocation.processAllocations(MemoryAllocation.java:44) ~[dartagnan.jar:?]
	at com.dat3m.dartagnan.program.processing.MemoryAllocation.run(MemoryAllocation.java:37) ~[dartagnan.jar:?]
	at com.dat3m.dartagnan.program.processing.ProcessingManager.lambda$run$0(ProcessingManager.java:142) ~[dartagnan.jar:?]
	at java.util.ArrayList.forEach(ArrayList.java:1511) ~[?:?]
	at com.dat3m.dartagnan.program.processing.ProcessingManager.run(ProcessingManager.java:142) ~[dartagnan.jar:?]
	at com.dat3m.dartagnan.verification.solving.ModelChecker.preprocessProgram(ModelChecker.java:71) ~[dartagnan.jar:?]
	at com.dat3m.dartagnan.verification.solving.DataRaceSolver.run(DataRaceSolver.java:50) ~[dartagnan.jar:?]
	at com.dat3m.dartagnan.verification.solving.DataRaceSolver.run(DataRaceSolver.java:40) ~[dartagnan.jar:?]
	at com.dat3m.dartagnan.Dartagnan.main(Dartagnan.java:157) [dartagnan.jar:?]
ERROR
